Accept placements from a draft
Applies the draft's placements for the given submission ids to the live schedule.
Authorization
bearerAuth AuthorizationBearer <token>
An organization API key (osk_…)
In: header
Path Parameters
eventId*string
draftId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/events/string/agenda/drafts/string/accept" \ -H "Content-Type: application/json" \ -d '{ "submissionIds": [ "string" ] }'{ "agenda": { "event": { "id": "string", "slug": "string", "name": "string", "timezone": "string", "startsAt": "string", "endsAt": "string", "agendaPublishedAt": "string", "agendaDirty": true }, "rooms": [ { "id": "string", "name": "string", "position": 0 } ], "tracks": [ { "id": "string", "name": "string", "color": "string" } ], "sessions": [ { "id": "string", "code": "string", "title": "string", "description": "string", "startsAt": "string", "endsAt": "string", "roomId": "string", "scheduleDirty": true, "durationMinutes": 0, "formatName": "string", "tracks": [ { "id": "string", "name": "string", "color": "string" } ], "speakers": [ { "id": "string", "name": "string" } ] } ] }, "draft": { "id": "string", "eventId": "string", "name": "string", "status": "draft", "criteria": { "days": [ "string" ], "roomIds": [ "string" ], "includeStatuses": [ "draft" ], "respectExistingPlacements": true, "rules": [ "string" ] }, "proposal": { "placements": [ { "submissionId": "string", "roomId": "string", "startsAt": "string", "endsAt": "string", "reason": "string" } ] }, "generatedAt": "string", "committedAt": "string", "createdAt": "string", "updatedAt": "string" }, "changedSubmissionIds": [ "string" ]}